Module com.io7m.jtensors.generators
Package com.io7m.jtensors.generators

## Class Matrix3x3FGenerator

- java.lang.Object
- - com.io7m.jtensors.generators.Matrix3x3FGenerator

- All Implemented Interfaces:
    `net.java.quickcheck.Generator<Matrix3x3F>`

      public final class Matrix3x3FGenerator
      extends Object
      implements net.java.quickcheck.Generator<Matrix3x3F>

  A matrix generator.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Matrix3x3FGenerator​(net.java.quickcheck.Generator<Double> in_gen)` | Construct a generator.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static net.java.quickcheck.Generator<Matrix3x3F>` | `create​()` | Create a generator initialized with a default component generator.
    `static net.java.quickcheck.Generator<Matrix3x3F>` | `createNormal​()` | Create a generator initialized with a default component generator that only produces values in the range `[-1.0, 1.0]`.
    `Matrix3x3F` | `next​()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Matrix3x3FGenerator

          public Matrix3x3FGenerator​(net.java.quickcheck.Generator<Double> in_gen)

      Construct a generator.
      Parameters:
        `in_gen` - A component generator

  - ### Method Detail

    - #### create

          public static net.java.quickcheck.Generator<Matrix3x3F> create​()

      Create a generator initialized with a default component generator.
      Returns:
        A generator

    - #### createNormal

          public static net.java.quickcheck.Generator<Matrix3x3F> createNormal​()

      Create a generator initialized with a default component generator that only produces values in the range `[-1.0, 1.0]`.
      Returns:
        A generator

    - #### next

          public Matrix3x3F next​()

      Specified by:
        `next` in interface `net.java.quickcheck.Generator<Matrix3x3F>`

Copyright © 2017 <code@io7m.com> http://io7m.com